Subject: Linking egcs built DLL's with MSVC++??
From: [email-masked] (Mark Becker)

19 Aug 1998 00:27:43 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: gnu-win32 <[email-masked]>

Hi,

a similar kind of question has been asked several times on
this list now, but there doesn't seem to be a definitive
answer yet:

How do I manage to link an egcs-(or gcc) built dll (here: libX11.dll)
to a C++-mainprog (compiled with MSVC++-5.0) with the MSVC linker ?

- Is it possible at all? If yes, does it also works for C++ objects?

- Which steps are necessary?

Apparently I first need a .lib-file (here: libX11.lib) which the
MSVC++ linker understands; but how do I generate this?
When I got the .lib file what else is to be done next?

Many thanks to any help on this matter!

ciao
  Mark Becker

-- 
========================================================================
     Mark Becker -- [email-masked]
Phone: +49-234-x Office:x=700-7988 Secretary:x=700-7997  FAX:x=7094-210
========================================================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".